## pyairnow 1.3.1

=== Makefile ===

build :
	poetry build

clean :
	$(RM) -rf build dist *.egg-info

coverage :
	poetry run coverage run --source=pyairnow -m pytest tests

coverage-html :
	poetry run coverage html -d .htmlcov && open .htmlcov/index.html

coverage-report :
	poetry run coverage report -m

lint :
	poetry run flake8

publish :
	poetry publish

requirements :
	poetry export -f requirements.txt -o requirements-dev.txt --with dev

test :
	poetry run python -m pytest tests

test-x :
	poetry run python -m pytest tests -x

test-wip :
	poetry run python -m pytest tests -m wip

all: test lint build publish

.PHONY: build \
	coverage coverage-html coverage-report \
	lint test test-wip test-x

## pyairnow 1.2.2

=== debian/changelog ===
pyairnow (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Sun, 08 Sep 2024 10:15:22 +0100

pyairnow (1.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1080086)

 -- Edward Betts <edward@4angle.com>  Fri, 30 Aug 2024 13:36:37 +0100

=== debian/control ===
Source: pyairnow
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
Build-Depends-Indep:
 python3-aiohttp <!nocheck>,
 python3-aioresponses <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/asymworks/pyairnow
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyairnow
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyairnow.git

Package: python3-pyairnow
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library for EPA AirNow Air Quality API
 This library provides a thin client for interacting with the AirNow web
 service, which is a source for air quality data. It supports fetching air
 quality observations and forecasts based on various geographic parameters such
 as ZIP codes or latitude and longitude coordinates. Air quality data retrieved
 includes measurements of pollutants like ozone (O3), particulate matter (PM2.5
 and PM10), carbon monoxide (CO), sulfur dioxide (SO2), and nitrogen dioxide
 (NO2). It is designed to be simple and efficient, making HTTP requests to the
 AirNow service and parsing the JSON responses.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyairnow
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pyairnow.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-aioresponses,
 python3-all,
 python3-pytest,
 python3-pytest-asyncio,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pyairnow-$1\.tar\.gz/ \
  https://github.com/asymworks/pyairnow/tags .*/v?(\d\S+)\.tar\.gz

## pyairnow 1.3.1

=== debian/changelog ===
pyairnow (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Sun, 29 Jun 2025 07:19:41 +0100

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,11 @@
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/asymworks/pyairnow
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pyairnow
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pyairnow.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pyairnow
 Architecture: all

=== debian/watch ===
version=4
https://github.com/asymworks/pyairnow/tags .*/v?(\d\S+)\.tar\.gz
